<?php
/* $Id: qtc_views.views.inc,v 1.1 2010/06/17 23:33:51 quiptime Exp $ */

/**
 * @file
 * Provides the Views module integration with qtc_views.module.
 */

/**
 * Implementation of hook_views_data()
 */
function qtc_views_views_data() {
  // Link to invite user to chat (virtual field).
  $data['users']['chat_to'] = array(
    'group' => t('QTChat'),
    'title' => t('Chat link'),
    'help' => t('Provide an chat link to chat with an user.'),
    'real_field' => 'access',
    'field' => array(
      'handler' => 'views_handler_field_qtc_views_chat_link',
    ),
  );

  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function qtc_views_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'qtc_views') . '/inc'
    ),
    'handlers' => array(
      'views_handler_field_qtc_views_chat_link' => array(
        'parent' => 'views_handler_field',
      ),
    ),
  );
}
